%global _hardened_build 1
Summary: Transparent and scalable SSL/TLS interception
Name: sslsplit
Version: 0.5.5
Release: 1%{?dist}
License: BSD
Url: http://www.roe.ch/SSLsplit
Source: http://mirror.roe.ch/rel/sslsplit/sslsplit-%{version}.tar.bz2
Buildrequires: libevent-devel, openssl-devel, check-devel gcc
Buildrequires: libpcap-devel libnet-devel
Requires: iptables, iproute

%description
SSLsplit is a tool for man-in-the-middle attacks against SSL/TLS encrypted
network connections. Connections are transparently intercepted through a
network address translation engine and redirected to SSLsplit. SSLsplit
terminates SSL/TLS and initiates a new SSL/TLS connection to the original
destination address, while logging all data transmitted. SSLsplit is
intended to be useful for network forensics and penetration testing.

It uses Linux netfilter REDIRECT and TPROXY

%prep
%setup -q

%build
# work around some odd build system option passing
export CFLAGS="%{optflags} -fPIE -pie"
export LDFLAGS="$LDFLAGS -Wl,-z,relro,-z,now -pie"
export DEBUG_CFLAGS="%{optflags}"
make %{?_smp_mflags}

%check
# Requires a network connection
# make test

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1/
cp -a %{name} %{buildroot}%{_bindir}
cp -a %{name}.1  %{buildroot}%{_mandir}/man1/

%files
%attr(0755,root,root) %{_bindir}/%{name}
%doc *.md
%{_mandir}/*/*

%changelog
* Fri Aug 30 2019 Paul Wouters <pwouters@redhat.com> - 0.5.5-1
- Resolves: rhbz#1534305 sslsplit-0.5.5 is available
- Enables ecc test

* Thu Aug 22 2019 Paul Wouters <pwouters@redhat.com> - 0.5.4-1
- Resolves: rhbz#1744466 Please update it to 0.5.4

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Feb 20 2018 Patrick Uiterwijk <patrick@puiterwijk.org> - 0.5.2-1
- Rebase to 0.5.2

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Mar 29 2016 Paul Wouters <pwouters@redhat.com> - 0.5.0-1
- Updated to 0.5.0 (rhbz#1202176)
- Include all *.md files as documentation
- Updated upstream source link

* Tue Sep 30 2014 Paul Wouters <pwouters@redhat.com> - 0.4.8-3
- Initial package for epel7
